Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## LumiSoft.UI.Controls
Class ViewStyle

    java.lang.Object
      LumiSoft.UI.Controls.ViewStyle

    public class ViewStyle

extends java.lang.Object

Viewstyle for UI.

Constructor Summary
`ViewStyle()` Default constructor.

Method Summary
`void` | `addViewStyleChanged(java.awt.event.ActionListener l)` Adds the specified action listener to receive action events from this button.
`static java.awt.Color` | `ColorFromArgb(int argb)` Converts 32-bit argb color to Color.
`static int` | `ColorToArgb(java.awt.Color c)` Converts color to 32-bit argb color.
`void` | `CopyTo(ViewStyle destViewStyle)` Copies colors and settings of this ViewStyle to specified destination ViewStyle.
`java.awt.Color` | `getBarBorderColor()` Gets outlookbar bar border color.
`java.awt.Color` | `getBarClientAreaColor()` Gets outlookbar bar items area backround color.
`java.awt.Color` | `getBarColor()` Gets outlookbar bar color.
`java.awt.Color` | `getBarHotBorderColor()` Gets outlookbar bar border hot color.
`java.awt.Color` | `getBarHotColor()` Gets outlookbar bar hot color.
`java.awt.Color` | `getBarHotTextColor()` Gets outlookbar bar text hot color.
`java.awt.Color` | `getBarItemBorderHotColor()` Gets outlookbar item border hot color.
`java.awt.Color` | `getBarItemHotColor()` Gets outlookbar item hot color.
`java.awt.Color` | `getBarItemHotTextColor()` Gets outlookbar item text hot color.
`java.awt.Color` | `getBarItemPressedColor()` Gets outlookbar item pressed color.
`java.awt.Color` | `getBarItemSelectedColor()` Gets outlookbar item selected color.
`java.awt.Color` | `getBarItemSelectedTextColor()` Gets outlookbar item selected text color.
`int` | `getBarItemsStyle()` Gets outlookbar items style color.
`java.awt.Color` | `getBarItemTextColor()` Gets outlookbar item text color.
`java.awt.Color` | `getBarPressedColor()` Gets outlookbar bar pressed color.
`java.awt.Color` | `getBarTextColor()` Gets outlookbar bar text color.
`java.awt.Color` | `getBorderColor()` Gets control border color.
`java.awt.Color` | `GetBorderColor(boolean hot)` Gets control border color.
`java.awt.Color` | `getBorderHotColor()` Gets control hot border color.
`java.awt.Color` | `getButtonColor()` Gets button color.
`java.awt.Color` | `GetButtonColor(boolean hot, boolean pressed)` Gets button color.
`java.awt.Color` | `getButtonHotColor()` Gets button hot color.
`java.awt.Color` | `getButtonPressedColor()` Get button pressed color.
`static java.awt.Color` | `GetColorFromRgb(int r, int g, int b)` Gets Color from rgb.
`java.awt.Color` | `getEditColor()` Gets control editable part color.
`java.awt.Color` | `GetEditColor(boolean readOnly, boolean enabled)` Gets control editable part color.
`java.awt.Color` | `GetEditColor(boolean readOnly, boolean enabled, boolean focused)` Gets control editable part color.
`java.awt.Color` | `getEditDisabledColor()` Gets control editable part disabled color.
`java.awt.Color` | `getEditFocusedColor()` Gets control editable part focused color.
`java.awt.Color` | `getEditReadOnlyColor()` Gets control editable part readonly color.
`java.awt.Color` | `getFlashColor()` Gets flash color.
`java.awt.Color` | `getFormColor()` Gets form backround color.
`boolean` | `getReadOnly()` Gets if ViewStyle is readonly.
`static ViewStyle` | `getstaticViewStyle()` Gets static ViewStyle.
`java.awt.Color` | `getText3DColor()` Gets label 3D text color.
`java.awt.Color` | `getTextColor()` Gets label text color.
`java.awt.Color` | `getTextShadowColor()` Gets label shadow text color.
`void` | `LoadFromXml(byte[] viewStyleXML)` Loads viewStyle from xml data.
`void` | `removeViewStyleChanged(java.awt.event.ActionListener l)` Removes the specified action listener so it no longer receives action events from this button.
`void` | `RestoreDefault()` Restores default ViewStyle colors and settings.
`byte[]` | `SaveToXml()` Saves current viewStyle to xml.
`void` | `setBarBorderColor(java.awt.Color value)` Sets outlookbar bar border color.
`void` | `setBarClientAreaColor(java.awt.Color value)` Sets outlookbar bar items area backround color.
`void` | `setBarColor(java.awt.Color value)` Sets outlookbar bar color.
`void` | `setBarHotBorderColor(java.awt.Color value)` Sets outlookbar bar border hot color.
`void` | `setBarHotColor(java.awt.Color value)` Sets outlookbar bar hot color.
`void` | `setBarHotTextColor(java.awt.Color value)` Sets outlookbar bar text hot color.
`void` | `setBarItemBorderHotColor(java.awt.Color value)` Gets outlookbar item border hot color.
`void` | `setBarItemHotColor(java.awt.Color value)` Sets outlookbar item hot color.
`void` | `setBarItemHotTextColor(java.awt.Color value)` Sets outlookbar item text hot color.
`void` | `setBarItemPressedColor(java.awt.Color value)` Sets outlookbar item pressed color.
`void` | `setBarItemSelectedColor(java.awt.Color value)` Sets outlookbar item selected color.
`void` | `setBarItemSelectedTextColor(java.awt.Color value)` Sets outlookbar item selected text color.
`void` | `setBarItemsStyle(int value)` Sets outlookbar items style color.
`void` | `setBarItemTextColor(java.awt.Color value)` Sets outlookbar item text color.
`void` | `setBarPressedColor(java.awt.Color value)` Sets outlookbar bar pressed color.
`void` | `setBarTextColor(java.awt.Color value)` Sets outlookbar bar text color.
`void` | `setBorderColor(java.awt.Color value)` Sets control border color.
`void` | `setBorderHotColor(java.awt.Color value)` Sets control hot border color.
`void` | `setButtonColor(java.awt.Color value)` Sets button color.
`void` | `setButtonHotColor(java.awt.Color value)` Sets button hot color.
`void` | `setButtonPressedColor(java.awt.Color value)` Sets button pressed color.
`void` | `setEditColor(java.awt.Color value)` Sets control editable part color.
`void` | `setEditDisabledColor(java.awt.Color value)` Sets control editable part disabled color.
`void` | `setEditFocusedColor(java.awt.Color value)` Sets control editable part focused color.
`void` | `setEditReadOnlyColor(java.awt.Color value)` Sets control editable part readonly color.
`void` | `setFlashColor(java.awt.Color value)` Sets flash color.
`void` | `setFormColor(java.awt.Color value)` Sets form backrond color.
`void` | `setReadOnly(boolean c)` Sets if ViewStyle is readonly.
`void` | `setText3DColor(java.awt.Color value)` Sets label 3D text color.
`void` | `setTextColor(java.awt.Color value)` Sets lable text color.
`void` | `setTextShadowColor(java.awt.Color value)` Sets label shadow text color.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewStyle

    public ViewStyle()

  Default constructor.

Method Detail

### GetColorFromRgb

    public static java.awt.Color GetColorFromRgb(int r,
                                                 int g,
                                                 int b)

  Gets Color from rgb.

  Parameters:
    `r` - Red value.
    `g` - Green value.
    `b` - Blue value.
  Returns:

### ColorToArgb

    public static int ColorToArgb(java.awt.Color c)

  Converts color to 32-bit argb color.

  Parameters:
    `c` -
  Returns:

### ColorFromArgb

    public static java.awt.Color ColorFromArgb(int argb)

  Converts 32-bit argb color to Color.

  Parameters:
    `argb` -
  Returns:

### CopyTo

    public void CopyTo(ViewStyle destViewStyle)

  Copies colors and settings of this ViewStyle to specified destination ViewStyle.

  Parameters:
    `destViewStyle` -

### GetEditColor

    public java.awt.Color GetEditColor(boolean readOnly,
                                       boolean enabled)

  Gets control editable part color.

  Parameters:
    `readOnly` - Specified if contol is readonly.
    `enabled` - Specifies if control is enabled.
  Returns:

### GetEditColor

    public java.awt.Color GetEditColor(boolean readOnly,
                                       boolean enabled,
                                       boolean focused)

  Gets control editable part color.

  Parameters:
    `readOnly` - Specified if contol is readonly.
    `enabled` - Specifies if control is enabled.
    `focused` - Specifies if control is focused.
  Returns:

### GetBorderColor

    public java.awt.Color GetBorderColor(boolean hot)

  Gets control border color.

  Parameters:
    `hot` - Specifies if control is hot.
  Returns:

### GetButtonColor

    public java.awt.Color GetButtonColor(boolean hot,
                                         boolean pressed)

  Gets button color.

  Parameters:
    `hot` - Specifies if button is hot.
    `pressed` - Specifies if button is pressed.
  Returns:

### RestoreDefault

    public void RestoreDefault()

  Restores default ViewStyle colors and settings.

### SaveToXml

    public byte[] SaveToXml()
                     throws java.lang.Exception

  Saves current viewStyle to xml.

  Throws:
    `java.lang.Exception`

### LoadFromXml

    public void LoadFromXml(byte[] viewStyleXML)

  Loads viewStyle from xml data.

### getBorderColor

    public java.awt.Color getBorderColor()

  Gets control border color.

### setBorderColor

    public void setBorderColor(java.awt.Color value)

  Sets control border color.

  Parameters:
    `value` -

### getBorderHotColor

    public java.awt.Color getBorderHotColor()

  Gets control hot border color.

  Returns:

### setBorderHotColor

    public void setBorderHotColor(java.awt.Color value)

  Sets control hot border color.

  Parameters:
    `value` -

### getButtonColor

    public java.awt.Color getButtonColor()

  Gets button color.

  Returns:

### setButtonColor

    public void setButtonColor(java.awt.Color value)

  Sets button color.

  Parameters:
    `value` -

### getButtonHotColor

    public java.awt.Color getButtonHotColor()

  Gets button hot color.

  Returns:

### setButtonHotColor

    public void setButtonHotColor(java.awt.Color value)

  Sets button hot color.

  Parameters:
    `value` -

### getButtonPressedColor

    public java.awt.Color getButtonPressedColor()

  Get button pressed color.

  Returns:

### setButtonPressedColor

    public void setButtonPressedColor(java.awt.Color value)

  Sets button pressed color.

  Parameters:
    `value` -

### getFormColor

    public java.awt.Color getFormColor()

  Gets form backround color.

  Returns:

### setFormColor

    public void setFormColor(java.awt.Color value)

  Sets form backrond color.

  Parameters:
    `value` -

### getFlashColor

    public java.awt.Color getFlashColor()

  Gets flash color.

### setFlashColor

    public void setFlashColor(java.awt.Color value)

  Sets flash color.

  Parameters:
    `value` -

### getEditColor

    public java.awt.Color getEditColor()

  Gets control editable part color.

  Returns:

### setEditColor

    public void setEditColor(java.awt.Color value)

  Sets control editable part color.

  Parameters:
    `value` -

### getEditFocusedColor

    public java.awt.Color getEditFocusedColor()

  Gets control editable part focused color.

  Returns:

### setEditFocusedColor

    public void setEditFocusedColor(java.awt.Color value)

  Sets control editable part focused color.

  Parameters:
    `value` -

### getEditReadOnlyColor

    public java.awt.Color getEditReadOnlyColor()

  Gets control editable part readonly color.

  Returns:

### setEditReadOnlyColor

    public void setEditReadOnlyColor(java.awt.Color value)

  Sets control editable part readonly color.

  Parameters:
    `value` -

### getEditDisabledColor

    public java.awt.Color getEditDisabledColor()

  Gets control editable part disabled color.

  Returns:

### setEditDisabledColor

    public void setEditDisabledColor(java.awt.Color value)

  Sets control editable part disabled color.

  Parameters:
    `value` -

### getBarColor

    public java.awt.Color getBarColor()

  Gets outlookbar bar color.

  Returns:

### setBarColor

    public void setBarColor(java.awt.Color value)

  Sets outlookbar bar color.

  Parameters:
    `value` -

### getBarHotColor

    public java.awt.Color getBarHotColor()

  Gets outlookbar bar hot color.

  Returns:

### setBarHotColor

    public void setBarHotColor(java.awt.Color value)

  Sets outlookbar bar hot color.

  Parameters:
    `value` -

### getBarTextColor

    public java.awt.Color getBarTextColor()

  Gets outlookbar bar text color.

  Returns:

### setBarTextColor

    public void setBarTextColor(java.awt.Color value)

  Sets outlookbar bar text color.

  Parameters:
    `value` -

### getBarHotTextColor

    public java.awt.Color getBarHotTextColor()

  Gets outlookbar bar text hot color.

  Returns:

### setBarHotTextColor

    public void setBarHotTextColor(java.awt.Color value)

  Sets outlookbar bar text hot color.

  Parameters:
    `value` -

### getBarPressedColor

    public java.awt.Color getBarPressedColor()

  Gets outlookbar bar pressed color.

  Returns:

### setBarPressedColor

    public void setBarPressedColor(java.awt.Color value)

  Sets outlookbar bar pressed color.

  Parameters:
    `value` -

### getBarBorderColor

    public java.awt.Color getBarBorderColor()

  Gets outlookbar bar border color.

  Returns:

### setBarBorderColor

    public void setBarBorderColor(java.awt.Color value)

  Sets outlookbar bar border color.

  Parameters:
    `value` -

### getBarHotBorderColor

    public java.awt.Color getBarHotBorderColor()

  Gets outlookbar bar border hot color.

  Returns:

### setBarHotBorderColor

    public void setBarHotBorderColor(java.awt.Color value)

  Sets outlookbar bar border hot color.

  Parameters:
    `value` -

### getBarClientAreaColor

    public java.awt.Color getBarClientAreaColor()

  Gets outlookbar bar items area backround color.

  Returns:

### setBarClientAreaColor

    public void setBarClientAreaColor(java.awt.Color value)

  Sets outlookbar bar items area backround color.

  Parameters:
    `value` -

### getBarItemSelectedColor

    public java.awt.Color getBarItemSelectedColor()

  Gets outlookbar item selected color.

  Returns:

### setBarItemSelectedColor

    public void setBarItemSelectedColor(java.awt.Color value)

  Sets outlookbar item selected color.

  Parameters:
    `value` -

### getBarItemSelectedTextColor

    public java.awt.Color getBarItemSelectedTextColor()

  Gets outlookbar item selected text color.

  Returns:

### setBarItemSelectedTextColor

    public void setBarItemSelectedTextColor(java.awt.Color value)

  Sets outlookbar item selected text color.

  Parameters:
    `value` -

### getBarItemHotColor

    public java.awt.Color getBarItemHotColor()

  Gets outlookbar item hot color.

  Returns:

### setBarItemHotColor

    public void setBarItemHotColor(java.awt.Color value)

  Sets outlookbar item hot color.

  Parameters:
    `value` -

### getBarItemPressedColor

    public java.awt.Color getBarItemPressedColor()

  Gets outlookbar item pressed color.

  Returns:

### setBarItemPressedColor

    public void setBarItemPressedColor(java.awt.Color value)

  Sets outlookbar item pressed color.

  Parameters:
    `value` -

### getBarItemBorderHotColor

    public java.awt.Color getBarItemBorderHotColor()

  Gets outlookbar item border hot color.

  Returns:

### setBarItemBorderHotColor

    public void setBarItemBorderHotColor(java.awt.Color value)

  Gets outlookbar item border hot color.

  Parameters:
    `value` -

### getBarItemTextColor

    public java.awt.Color getBarItemTextColor()

  Gets outlookbar item text color.

  Returns:

### setBarItemTextColor

    public void setBarItemTextColor(java.awt.Color value)

  Sets outlookbar item text color.

  Parameters:
    `value` -

### getBarItemHotTextColor

    public java.awt.Color getBarItemHotTextColor()

  Gets outlookbar item text hot color.

  Returns:

### setBarItemHotTextColor

    public void setBarItemHotTextColor(java.awt.Color value)

  Sets outlookbar item text hot color.

  Parameters:
    `value` -

### getBarItemsStyle

    public int getBarItemsStyle()

  Gets outlookbar items style color.

  Returns:

### setBarItemsStyle

    public void setBarItemsStyle(int value)

  Sets outlookbar items style color.

  Parameters:
    `value` -

### getTextColor

    public java.awt.Color getTextColor()

  Gets label text color.

  Returns:

### setTextColor

    public void setTextColor(java.awt.Color value)

  Sets lable text color.

  Parameters:
    `value` -

### getText3DColor

    public java.awt.Color getText3DColor()

  Gets label 3D text color.

  Returns:

### setText3DColor

    public void setText3DColor(java.awt.Color value)

  Sets label 3D text color.

  Parameters:
    `value` -

### getTextShadowColor

    public java.awt.Color getTextShadowColor()

  Gets label shadow text color.

  Returns:

### setTextShadowColor

    public void setTextShadowColor(java.awt.Color value)

  Sets label shadow text color.

  Parameters:
    `value` -

### getReadOnly

    public boolean getReadOnly()

  Gets if ViewStyle is readonly.

  Returns:

### setReadOnly

    public void setReadOnly(boolean c)

  Sets if ViewStyle is readonly.

  Parameters:
    `c` -

### getstaticViewStyle

    public static ViewStyle getstaticViewStyle()

  Gets static ViewStyle.

  Returns:

### addViewStyleChanged

    public void addViewStyleChanged(java.awt.event.ActionListener l)

  Adds the specified action listener to receive action events from this button.

  Parameters:
    `l` - the action listener

### removeViewStyleChanged

    public void removeViewStyleChanged(java.awt.event.ActionListener l)

  Removes the specified action listener so it no longer receives action events from this button.

  Parameters:
    `l` - the action listener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD